--- netatalk-1.4b2/etc/afpd/appl.c.BAK	Thu Jul 25 16:18:40 1996
+++ netatalk-1.4b2/etc/afpd/appl.c	Wed Mar 26 23:09:15 1997
@@ -7,6 +7,7 @@
 #include <sys/stat.h>
 #include <sys/param.h>
 #include <sys/syslog.h>
+#include <netinet/in.h>
 #include <netatalk/endian.h>
 #include <sys/errno.h>
 #include <atalk/afp.h>
--- netatalk-1.4b2/etc/afpd/auth.c.BAK	Mon Sep 16 14:33:55 1996
+++ netatalk-1.4b2/etc/afpd/auth.c	Wed Mar 26 23:09:15 1997
@@ -8,6 +8,7 @@
 #include <sys/param.h>
 #include <sys/syslog.h>
 #include <sys/time.h>
+#include <netinet/in.h>
 #include <netatalk/endian.h>
 #include <netatalk/at.h>
 #include <atalk/afp.h>
--- netatalk-1.4b2/etc/afpd/desktop.c.BAK	Fri Jul 19 15:22:43 1996
+++ netatalk-1.4b2/etc/afpd/desktop.c	Wed Mar 26 23:09:15 1997
@@ -9,6 +9,7 @@
 #include <sys/time.h>
 #include <sys/uio.h>
 #include <sys/param.h>
+#include <netinet/in.h>
 #include <netatalk/at.h>
 #include <netatalk/endian.h>
 #include <atalk/atp.h>
--- netatalk-1.4b2/etc/afpd/directory.c.BAK	Thu Jul 25 16:13:44 1996
+++ netatalk-1.4b2/etc/afpd/directory.c	Wed Mar 26 23:09:16 1997
@@ -11,6 +11,7 @@
 #include <sys/errno.h>
 #include <sys/time.h>
 #include <sys/param.h>
+#include <netinet/in.h>
 #include <netatalk/endian.h>
 #include <atalk/adouble.h>
 #include <atalk/afp.h>
--- netatalk-1.4b2/etc/afpd/enumerate.c.BAK	Fri Jul 19 15:24:53 1996
+++ netatalk-1.4b2/etc/afpd/enumerate.c	Wed Mar 26 23:09:16 1997
@@ -7,6 +7,7 @@
 #include <sys/types.h>
 #include <sys/stat.h>
 #include <sys/file.h>
+#include <netinet/in.h>
 #include <netatalk/endian.h>
 #include <sys/param.h>
 #include <atalk/afp.h>
--- netatalk-1.4b2/etc/afpd/file.c.BAK	Fri Oct 18 16:33:04 1996
+++ netatalk-1.4b2/etc/afpd/file.c	Wed Mar 26 23:09:16 1997
@@ -14,6 +14,7 @@
 #else sun __svr4__
 #include <sys/file.h>
 #endif sun __svr4__
+#include <netinet/in.h>
 #include <netatalk/endian.h>
 #include <atalk/adouble.h>
 #include <atalk/afp.h>
--- netatalk-1.4b2/etc/afpd/filedir.c.BAK	Sun Sep 22 14:06:34 1996
+++ netatalk-1.4b2/etc/afpd/filedir.c	Wed Mar 26 23:09:16 1997
@@ -8,6 +8,7 @@
 #include <sys/types.h>
 #include <sys/stat.h>
 #include <sys/param.h>
+#include <netinet/in.h>
 #include <netatalk/endian.h>
 #include <atalk/adouble.h>
 #include <atalk/afp.h>
--- netatalk-1.4b2/etc/afpd/fork.c.BAK	Tue Sep 24 11:20:25 1996
+++ netatalk-1.4b2/etc/afpd/fork.c	Wed Mar 26 23:09:16 1997
@@ -14,6 +14,7 @@
 #include <sys/types.h>
 #include <sys/time.h>
 #include <sys/errno.h>
+#include <netinet/in.h>
 #include <netatalk/endian.h>
 #include <netatalk/at.h>
 #include <atalk/afp.h>
--- netatalk-1.4b2/etc/afpd/main.c.BAK	Mon Oct 21 18:44:48 1996
+++ netatalk-1.4b2/etc/afpd/main.c	Wed Mar 26 23:09:16 1997
@@ -14,6 +14,7 @@
 #endif sun __svr4__
 #include <sys/syslog.h>
 #include <sys/time.h>
+#include <netinet/in.h>
 
 #include <fcntl.h>
 #include <termios.h>
--- netatalk-1.4b2/etc/afpd/volume.c.BAK	Tue Oct 22 16:29:04 1996
+++ netatalk-1.4b2/etc/afpd/volume.c	Wed Mar 26 23:09:16 1997
@@ -9,6 +9,7 @@
 #include <sys/file.h>
 #include <sys/stat.h>
 #include <sys/param.h>
+#include <netinet/in.h>
 #include <netatalk/endian.h>
 #include <atalk/adouble.h>
 #include <atalk/afp.h>
--- netatalk-1.4b2/etc/atalkd/config.c.BAK	Fri Sep 27 12:24:52 1996
+++ netatalk-1.4b2/etc/atalkd/config.c	Wed Mar 26 23:09:16 1997
@@ -10,6 +10,7 @@
 #include <sys/syslog.h>
 #include <sys/param.h>
 #include <net/if.h>
+#include <netinet/in.h>
 #include <netatalk/at.h>
 #include <netatalk/endian.h>
 #include <atalk/paths.h>
--- netatalk-1.4b2/etc/atalkd/main.c.BAK	Mon Oct 21 18:45:03 1996
+++ netatalk-1.4b2/etc/atalkd/main.c	Wed Mar 26 23:09:17 1997
@@ -27,6 +27,7 @@
 #include <fcntl.h>
 #include <unistd.h>
 
+#include <netinet/in.h>
 #include <netatalk/endian.h>
 #include <netatalk/at.h>
 #include <atalk/compat.h>
--- netatalk-1.4b2/etc/atalkd/rtmp.c.BAK	Wed Sep 18 15:05:18 1996
+++ netatalk-1.4b2/etc/atalkd/rtmp.c	Wed Mar 26 23:09:17 1997
@@ -9,6 +9,7 @@
 #include <sys/ioctl.h>
 #include <net/if.h>
 #include <net/route.h>
+#include <netinet/in.h>
 #include <netatalk/endian.h>
 #include <netatalk/at.h>
 
--- netatalk-1.4b2/etc/atalkd/zip.c.BAK	Tue Sep 24 14:57:09 1996
+++ netatalk-1.4b2/etc/atalkd/zip.c	Wed Mar 26 23:09:17 1997
@@ -11,6 +11,7 @@
 #include <sys/time.h>
 #include <net/if.h>
 #include <net/route.h>
+#include <netinet/in.h>
 #include <netatalk/endian.h>
 #include <netatalk/at.h>
 
--- netatalk-1.4b2/etc/atalkd/nbp.c.BAK	Sat Oct  5 11:17:53 1996
+++ netatalk-1.4b2/etc/atalkd/nbp.c	Wed Mar 26 23:09:17 1997
@@ -8,6 +8,7 @@
 #include <sys/socket.h>
 #include <sys/ioctl.h>
 #include <net/if.h>
+#include <netinet/in.h>
 #include <netatalk/at.h>
 #include <atalk/ddp.h>
 #include <atalk/nbp.h>
--- netatalk-1.4b2/etc/papd/main.c.BAK	Mon Oct 21 18:45:16 1996
+++ netatalk-1.4b2/etc/papd/main.c	Wed Mar 26 23:09:18 1997
@@ -25,6 +25,7 @@
 #include <termios.h>
 #include <unistd.h>
 
+#include <netinet/in.h>
 #include <netatalk/endian.h>
 #include <netatalk/at.h>
 #include <atalk/compat.h>
--- netatalk-1.4b2/etc/papd/session.c.BAK	Mon Oct 23 15:50:14 1995
+++ netatalk-1.4b2/etc/papd/session.c	Wed Mar 26 23:09:18 1997
@@ -7,6 +7,7 @@
 #include <sys/syslog.h>
 #include <sys/time.h>
 #include <sys/uio.h>
+#include <netinet/in.h>
 #include <netatalk/at.h>
 #include <atalk/atp.h>
 #include <atalk/pap.h>
--- netatalk-1.4b2/sys/netatalk/endian.h.BAK	Mon Oct 21 15:13:36 1996
+++ netatalk-1.4b2/sys/netatalk/endian.h	Wed Mar 26 23:09:31 1997
@@ -32,6 +32,12 @@
 #include <bytesex.h>
 #define BYTE_ORDER	__BYTE_ORDER
 #include <asm/byteorder.h>
+#ifndef BIG_ENDIAN
+#define BIG_ENDIAN __BIG_ENDIAN
+#endif
+#ifndef LITTLE_ENDIAN
+#define LITTLE_ENDIAN __LITTLE_ENDIAN
+#endif
 #endif linux
 
 # ifndef BYTE_ORDER
--- netatalk-1.4b2/bin/getzones/getzones.c.BAK	Wed Sep 18 15:07:02 1996
+++ netatalk-1.4b2/bin/getzones/getzones.c	Wed Mar 26 23:09:18 1997
@@ -4,6 +4,7 @@
 #include <sys/time.h>
 #include <netdb.h>
 #include <stdio.h>
+#include <netinet/in.h>
 #include <netatalk/endian.h>
 #include <netatalk/at.h>
 #include <atalk/atp.h>
--- netatalk-1.4b2/bin/nbp/nbplkup.c.BAK	Tue Jul 27 17:13:29 1993
+++ netatalk-1.4b2/bin/nbp/nbplkup.c	Wed Mar 26 23:09:18 1997
@@ -22,6 +22,7 @@
  */
 
 #include <sys/types.h>
+#include <netinet/in.h>
 #include <netatalk/endian.h>
 #include <netatalk/at.h>
 #include <atalk/nbp.h>
--- netatalk-1.4b2/bin/megatron/asingle.c.BAK	Fri Feb 16 17:15:16 1996
+++ netatalk-1.4b2/bin/megatron/asingle.c	Wed Mar 26 23:09:18 1997
@@ -9,6 +9,7 @@
 #include <stdio.h>
 #include <unistd.h>
 #include <atalk/adouble.h>
+#include <netinet/in.h>
 #include <netatalk/endian.h>
 #include "megatron.h"
 
--- netatalk-1.4b2/bin/megatron/macbin.c.BAK	Fri Feb 16 16:11:43 1996
+++ netatalk-1.4b2/bin/megatron/macbin.c	Wed Mar 26 23:09:18 1997
@@ -9,6 +9,7 @@
 #include <ctype.h>
 #include <stdio.h>
 #include <atalk/adouble.h>
+#include <netinet/in.h>
 #include <netatalk/endian.h>
 #include "megatron.h"
 
--- netatalk-1.4b2/bin/megatron/megatron.c.BAK	Wed May  1 15:34:04 1996
+++ netatalk-1.4b2/bin/megatron/megatron.c	Wed Mar 26 23:09:18 1997
@@ -7,6 +7,7 @@
 #include <stdio.h>
 #include <strings.h>
 #include <syslog.h>
+#include <netinet/in.h>
 #include <netatalk/endian.h>
 #include "megatron.h"
 
--- netatalk-1.4b2/bin/pap/pap.c.BAK	Fri Feb 16 16:03:13 1996
+++ netatalk-1.4b2/bin/pap/pap.c	Wed Mar 26 23:09:18 1997
@@ -6,6 +6,7 @@
 #include <sys/types.h>
 #include <sys/time.h>
 #include <sys/uio.h>
+#include <netinet/in.h>
 #include <netatalk/endian.h>
 #include <netatalk/at.h>
 #include <atalk/atp.h>
--- netatalk-1.4b2/libatalk/adouble/ad_flush.c.BAK	Mon May 13 12:44:47 1996
+++ netatalk-1.4b2/libatalk/adouble/ad_flush.c	Wed Mar 26 23:09:18 1997
@@ -23,6 +23,7 @@
 
 #include <sys/errno.h>
 #include <sys/types.h>
+#include <netinet/in.h>
 #include <netatalk/endian.h>
 #include <atalk/adouble.h>
 #include <stdio.h>
--- netatalk-1.4b2/libatalk/adouble/ad_open.c.BAK	Tue Sep 24 11:26:52 1996
+++ netatalk-1.4b2/libatalk/adouble/ad_open.c	Wed Mar 26 23:09:18 1997
@@ -25,6 +25,7 @@
 #include <sys/types.h>
 #include <sys/stat.h>
 #include <sys/param.h>
+#include <netinet/in.h>
 #include <netatalk/endian.h>
 #include <sys/syslog.h>
 #include <atalk/adouble.h>
--- netatalk-1.4b2/libatalk/atp/atp_rsel.c.BAK	Mon Oct 21 15:10:26 1996
+++ netatalk-1.4b2/libatalk/atp/atp_rsel.c	Wed Mar 26 23:09:19 1997
@@ -28,6 +28,7 @@
 #include <sys/uio.h>
 #include <signal.h>
 
+#include <netinet/in.h>
 #include <netatalk/endian.h>
 #include <netatalk/at.h>
 #include <atalk/compat.h>
--- netatalk-1.4b2/libatalk/asp/asp_getreq.c.BAK	Tue Nov  2 14:32:51 1993
+++ netatalk-1.4b2/libatalk/asp/asp_getreq.c	Wed Mar 26 23:09:19 1997
@@ -24,6 +24,7 @@
 #include <sys/types.h>
 #include <sys/time.h>
 #include <sys/uio.h>
+#include <netinet/in.h>
 #include <netatalk/endian.h>
 #include <netatalk/at.h>
 #include <atalk/atp.h>
--- netatalk-1.4b2/libatalk/asp/asp_getsess.c.BAK	Sat Oct 19 17:13:22 1996
+++ netatalk-1.4b2/libatalk/asp/asp_getsess.c	Wed Mar 26 23:09:19 1997
@@ -12,6 +12,7 @@
 #include <sys/syslog.h>
 #include <sys/socket.h>
 #include <sys/param.h>
+#include <netinet/in.h>
 #include <netatalk/at.h>
 #include <atalk/compat.h>
 #include <atalk/atp.h>
--- netatalk-1.4b2/libatalk/asp/asp_write.c.BAK	Fri Sep 27 11:30:39 1996
+++ netatalk-1.4b2/libatalk/asp/asp_write.c	Wed Mar 26 23:09:19 1997
@@ -24,6 +24,7 @@
 #include <sys/types.h>
 #include <sys/time.h>
 #include <sys/uio.h>
+#include <netinet/in.h>
 #include <netatalk/endian.h>
 #include <netatalk/at.h>
 #include <atalk/atp.h>
--- netatalk-1.4b2/libatalk/nbp/nbp_lkup.c.BAK	Sat Oct 19 17:13:25 1996
+++ netatalk-1.4b2/libatalk/nbp/nbp_lkup.c	Wed Mar 26 23:09:19 1997
@@ -26,6 +26,7 @@
 #include <sys/socket.h>
 #include <sys/signal.h>
 #include <sys/time.h>
+#include <netinet/in.h>
 #include <netatalk/endian.h>
 #include <netatalk/at.h>
 #include <atalk/compat.h>
--- netatalk-1.4b2/libatalk/nbp/nbp_rgstr.c.BAK	Wed Sep 18 15:08:35 1996
+++ netatalk-1.4b2/libatalk/nbp/nbp_rgstr.c	Wed Mar 26 23:09:19 1997
@@ -9,6 +9,7 @@
 #include <sys/signal.h>
 #include <sys/time.h>
 #include <sys/errno.h>
+#include <netinet/in.h>
 #include <netatalk/at.h>
 #include <netatalk/endian.h>
 #include <atalk/nbp.h>
--- netatalk-1.4b2/libatalk/nbp/nbp_unrgstr.c.BAK	Wed Sep 18 15:09:03 1996
+++ netatalk-1.4b2/libatalk/nbp/nbp_unrgstr.c	Wed Mar 26 23:09:19 1997
@@ -27,6 +27,7 @@
 #include <sys/signal.h>
 #include <sys/time.h>
 #include <sys/errno.h>
+#include <netinet/in.h>
 #include <netatalk/endian.h>
 #include <netatalk/at.h>
 #include <atalk/nbp.h>
--- netatalk-1.4b2/libatalk/util/atalk_addr.c.BAK	Wed Mar 18 17:43:24 1992
+++ netatalk-1.4b2/libatalk/util/atalk_addr.c	Wed Mar 26 23:09:19 1997
@@ -1,4 +1,5 @@
 #include <sys/types.h>
+#include <netinet/in.h>
 #include <netatalk/at.h>
 #include <netatalk/endian.h>
 #include <ctype.h>
